PHP Options/Info Functions
assert
PHP Options/Info Functions
PHP Manual

# assert_options

(PHP 4, PHP 5)

assert_options — Set/get the various assert flags

### Description

mixed assert_options ( int `$what` [, mixed `$value` ] )

Set the various assert() control options or just query their current settings.

### Parameters

`what`

  Assert Options
  option | ini-parameter | default | description
  --- | --- | --- | ---
  ASSERT_ACTIVE | assert.active | 1 | enable assert() evaluation
  ASSERT_WARNING | assert.warning | 1 | issue a PHP warning for each failed assertion
  ASSERT_BAIL | assert.bail | 0 | terminate execution on failed assertions
  ASSERT_QUIET_EVAL | assert.quiet_eval | 0 | disable error_reporting during assertion expression evaluation
  ASSERT_CALLBACK | assert.callback | (`NULL`) | user function to call on failed assertions

`value`

  An optional new value for the option.

### Return Values

Returns the original setting of any option or `FALSE` on errors.

PHP Options/Info Functions
assert
PHP Options/Info Functions
PHP Manual